Bug 1413302 - [abrt] 0ad: debug_break(): pyrogenesis killed by SIGTRAP
Summary: [abrt] 0ad: debug_break(): pyrogenesis killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: 0ad
Version: 25
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:07c11768f6862c355093c71af9f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 18:00 UTC by Vitaliy
Modified: 2017-12-12 10:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:04:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.01 KB, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: cgroup (229 bytes, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: core_backtrace (3.08 KB, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: dso_list (11.19 KB, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: environ (1.14 KB, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: maps (34.01 KB, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: mountinfo (3.33 KB, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: open_fds (1.32 KB, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: proc_pid_status (1003 bytes, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-14 18:00 UTC, Vitaliy
no flags Details

Description Vitaliy 2017-01-14 18:00:25 UTC
Version-Release number of selected component:
0ad-0.0.21-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/pyrogenesis
crash_function: debug_break
executable:     /usr/bin/pyrogenesis
global_pid:     10336
kernel:         4.8.11-300.fc25.i686+PAE
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 debug_break at ../../../source/lib/sysdep/os/unix/udbg.cpp:50
 #3 topology::MaxLogicalPerCore at ../../../source/lib/sysdep/arch/x86_x64/topology.cpp:105
 #4 topology::InitCpuTopology at ../../../source/lib/sysdep/arch/x86_x64/topology.cpp:158
 #5 ModuleInit at ../../../source/lib/module_init.cpp:46
 #6 topology::NumPackages at ../../../source/lib/sysdep/arch/x86_x64/topology.cpp:246
 #7 RunHardwareDetection at ../../../source/ps/GameSetup/HWDetect.cpp:306
 #8 InitGraphics at ../../../source/ps/GameSetup/GameSetup.cpp:1008
 #9 RunGameOrAtlas at ../../../source/main.cpp:524

Comment 1 Vitaliy 2017-01-14 18:00:33 UTC
Created attachment 1240746 [details]
File: backtrace

Comment 2 Vitaliy 2017-01-14 18:00:35 UTC
Created attachment 1240747 [details]
File: cgroup

Comment 3 Vitaliy 2017-01-14 18:00:37 UTC
Created attachment 1240748 [details]
File: core_backtrace

Comment 4 Vitaliy 2017-01-14 18:00:39 UTC
Created attachment 1240749 [details]
File: dso_list

Comment 5 Vitaliy 2017-01-14 18:00:41 UTC
Created attachment 1240750 [details]
File: environ

Comment 6 Vitaliy 2017-01-14 18:00:42 UTC
Created attachment 1240751 [details]
File: limits

Comment 7 Vitaliy 2017-01-14 18:00:46 UTC
Created attachment 1240752 [details]
File: maps

Comment 8 Vitaliy 2017-01-14 18:00:48 UTC
Created attachment 1240753 [details]
File: mountinfo

Comment 9 Vitaliy 2017-01-14 18:00:49 UTC
Created attachment 1240754 [details]
File: namespaces

Comment 10 Vitaliy 2017-01-14 18:00:51 UTC
Created attachment 1240755 [details]
File: open_fds

Comment 11 Vitaliy 2017-01-14 18:00:53 UTC
Created attachment 1240756 [details]
File: proc_pid_status

Comment 12 Vitaliy 2017-01-14 18:00:54 UTC
Created attachment 1240757 [details]
File: var_log_messages

Comment 13 Vitaliy 2017-02-11 19:39:42 UTC
Similar problem has been detected:

I tried to run the game 0AD, but the attempt failed

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/pyrogenesis
crash_function: debug_break
executable:     /usr/bin/pyrogenesis
global_pid:     28067
kernel:         4.9.4-201.fc25.i686+PAE
package:        0ad-0.0.21-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         pyrogenesis killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2017-11-16 14:06:06 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:04:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.